Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class AbstractProblemStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic

All Implemented Interfaces:
  ProblemStatistic

Direct Known Subclasses:
  BestScoreProblemStatistic, BestSolutionMutationProblemStatistic, CalculateCountProblemStatistic, ImprovingStepPercentageProblemStatistic, MemoryUseProblemStatistic, MoveCountPerStepProblemStatistic, StepScoreProblemStatistic

    public abstract class AbstractProblemStatistic

extends Object
implements ProblemStatistic

Nested Class Summary
`class` | `AbstractProblemStatistic.ProblemStatisticCsv`
`static class` | `AbstractProblemStatistic.ProblemStatisticCsvLine`

Field Summary
`protected File` | `csvStatisticFile`
`protected ProblemBenchmark` | `problemBenchmark`
`protected ProblemStatisticType` | `problemStatisticType`
`protected List<String>` | `warningList`

Constructor Summary
`protected` | `AbstractProblemStatistic(ProblemBenchmark problemBenchmark, ProblemStatisticType problemStatisticType)`

Method Summary
`protected void` | `fillWarningList()`
`String` | `getAnchorId()`
`String` | `getCsvFilePath()`
`ProblemBenchmark` | `getProblemBenchmark()`
`ProblemStatisticType` | `getProblemStatisticType()`
`List<String>` | `getWarningList()`
`protected String` | `toFilePath(File file)`
`protected File` | `writeChartToImageFile(org.jfree.chart.JFreeChart chart, String fileNameBase)`
`protected abstract void` | `writeCsvStatistic()`
`protected abstract void` | `writeGraphStatistic()`
`void` | `writeStatistic()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.benchmark.impl.statistic.ProblemStatistic
`createSingleStatistic`

Field Detail

### problemBenchmark

    protected final ProblemBenchmark problemBenchmark

### problemStatisticType

    protected final ProblemStatisticType problemStatisticType

### csvStatisticFile

    protected File csvStatisticFile

### warningList

    protected List<String> warningList

Constructor Detail

### AbstractProblemStatistic

    protected AbstractProblemStatistic(ProblemBenchmark problemBenchmark,
                                       ProblemStatisticType problemStatisticType)

Method Detail

### getProblemBenchmark

    public ProblemBenchmark getProblemBenchmark()

### getProblemStatisticType

    public ProblemStatisticType getProblemStatisticType()

  Specified by:
    `getProblemStatisticType` in interface `ProblemStatistic`
  Returns:
    never null

### getAnchorId

    public String getAnchorId()

  Specified by:
    `getAnchorId` in interface `ProblemStatistic`
  Returns:
    never null

### getCsvFilePath

    public String getCsvFilePath()

  Specified by:
    `getCsvFilePath` in interface `ProblemStatistic`
  Returns:
    never null, relative to the `DefaultPlannerBenchmark.benchmarkReportDirectory` (not `ProblemBenchmark.problemReportDirectory`)

### getWarningList

    public List<String> getWarningList()

  Specified by:
    `getWarningList` in interface `ProblemStatistic`
  Returns:
    never null

### toFilePath

    protected String toFilePath(File file)

### writeStatistic

    public void writeStatistic()

  Specified by:
    `writeStatistic` in interface `ProblemStatistic`

### fillWarningList

    protected void fillWarningList()

### writeCsvStatistic

    protected abstract void writeCsvStatistic()

### writeGraphStatistic

    protected abstract void writeGraphStatistic()

### writeChartToImageFile

    protected File writeChartToImageFile(org.jfree.chart.JFreeChart chart,
                                         String fileNameBase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.